/*
  Java Japanese-English dictionary/Kanjidic browser
  Copyright (C) 1997 Todd David Rudick

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

 */

// The handwriting recognition GUI
import JavaDict;
import java.awt.*;
import KanjiViewer;
import DrawPanel;
import java.awt.event.*;

class HWRGUI extends Panel implements ActionListener {
  JavaDict javadict;
  DrawPanel dp;

  public void actionPerformed(ActionEvent ae) {
    String s = ae.getActionCommand();
    char[] kanj;
    kanj = s.toCharArray();
    // so now carray contains the kanji we want to search for
    javadict.tokanjiviewer.doaction();
    javadict.kanjiview.ViewArray(kanj);
  }

  public HWRGUI(JavaDict javadict, Button MenuButton) {
    super();
    this.javadict = javadict;
    this.dp = new DrawPanel();
    setLayout(new BorderLayout());
    Panel p = new Panel(new BorderLayout());
    add(p,"South");
    Panel p2 = new Panel();
    p.add(p2,"East");
    p2.add(MenuButton);
    Button LookupButton = new Button("Lookup Kanji");
    Panel dumbp = new Panel();
    dumbp.add(LookupButton);
    p.add(dumbp,"Center");
    LookupButton.addActionListener(dp);
    LookupButton.setActionCommand("Lookup");

    Button clearButton = new Button("Clear");
    Panel p3 = new Panel();
    p.add(p3,"West");
    p3.add(clearButton);
    clearButton.addActionListener(dp);
    clearButton.setActionCommand("Clear");

    dp.addActionListener(this);

    Panel helpPanel = new Panel(new GridLayout(5,1,5,0));
    helpPanel.add(new Label("Enter a Kanji to the left "));
    helpPanel.add(new Label("- release the button      "));
    helpPanel.add(new Label("   between strokes.       "));
    helpPanel.add(new Label("- always use the \"standard\""));
    helpPanel.add(new Label("   direction and order    "));

    /*    helpPanel.add(new Label("  Draw a character anywhere"));
	  helpPanel.add(new Label("within the area to the     "));
	  helpPanel.add(new Label("left. Make sure to         "));
	  helpPanel.add(new Label("seperate each stroke by    "));
	  helpPanel.add(new Label("releasing the mouse button."));
	  
	  helpPanel.add(new Label("  Only correctly drawn     "));
	  helpPanel.add(new Label("kanji may be recognized.   "));
	  */

    Panel centerPanel = new Panel(new BorderLayout(5,0));
    add(centerPanel,"Center");
    centerPanel.add(dp,"Center");
    Panel helpOuterPanel = new Panel(new BorderLayout(0,0));
    helpOuterPanel.add(helpPanel,"North");
    centerPanel.add(helpOuterPanel,"East");
  }
}
